## scgi-cgi 0.1.1

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0 FATAL_ERROR)

cmake_policy(VERSION 2.6.0)

SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

INCLUDE(CheckIncludeFiles)
INCLUDE(CheckLibraryExists)
INCLUDE(FindPkgConfig)
INCLUDE(AddTargetProperties)


PROJECT(scgi-cgi C)
SET(PACKAGE_VERSION 0.1.1)

IF("${CMAKE_BUILD_TYPE}" STREQUAL "")
	SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING "Choose the type of build, options are: None(CMAKE_CXX_FLAGS or CMAKE_C_FLAGS used) Debug Release RelWithDebInfo MinSizeRel." FORCE)
ENDIF("${CMAKE_BUILD_TYPE}" STREQUAL "")

OPTION(GCC_LIBEVENT_STATIC "link libevent static")

# libevent
pkg_check_modules (LIBEVENT REQUIRED libevent>=2.0)
IF(GCC_LIBEVENT_STATIC)
	SET(MYLIBEVENT_LDFLAGS -Wl,-Bstatic ${LIBEVENT_LDFLAGS} -Wl,-Bdynamic)
ELSE(GCC_LIBEVENT_STATIC)
	SET(MYLIBEVENT_LDFLAGS ${LIBEVENT_LDFLAGS})
ENDIF(GCC_LIBEVENT_STATIC)


SET(MAIN_SOURCE scgi-cgi.c)

SET(PACKAGE_NAME ${CMAKE_PROJECT_NAME})
SET(PACKAGE_VERSION ${PACKAGE_VERSION})
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_BINARY_DIR}/config.h ESCAPE_QUOTES)
ADD_DEFINITIONS(-DHAVE_CONFIG_H)
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})

add_executable(scgi-cgi ${MAIN_SOURCE})

ADD_TARGET_PROPERTIES(scgi-cgi COMPILE_FLAGS "-std=gnu99 -Wall -g -Wshadow -W -pedantic -fPIC")

# libev
TARGET_LINK_LIBRARIES(scgi-cgi ${MYLIBEVENT_LDFLAGS})
ADD_TARGET_PROPERTIES(scgi-cgi COMPILE_FLAGS ${LIBEVENT_CFLAGS})

INSTALL(TARGETS scgi-cgi DESTINATION bin)

# man page

SET(CMAKE_MAN_DIR "share/man" CACHE STRING
  "Install location for man pages (relative to prefix).")
MARK_AS_ADVANCED(CMAKE_MAN_DIR)

INSTALL(FILES scgi-cgi.1 DESTINATION ${CMAKE_MAN_DIR}/man1)

=== debian/changelog ===
scgi-cgi (0.1.1-4) unstable; urgency=medium

  * fixed -dbg package

 -- Stefan Bühler <stbuehler@web.de>  Sat, 27 Jun 2015 18:06:29 +0200

scgi-cgi (0.1.1-3) unstable; urgency=low

  * Package rebuild

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sat, 27 Jun 2015 12:24:23 +0000

scgi-cgi (0.1.1-2) unstable; urgency=medium

  * move to dh from cdbs
  * use new xz tarball
  * update Standards-Version to 3.9.6 (no changes)
  * build with autotools instead of cmake
  * add jenkins@lighttpd.net to uploaders

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sat, 27 Jun 2015 13:21:26 +0200

scgi-cgi (0.1.1-1) unstable; urgency=low

  * include cmake directory in dist
  * release 0.1.1

 -- Stefan Bühler <stbuehler@web.de>  Thu, 03 Oct 2013 14:02:08 +0200

scgi-cgi (0.1.0-1) unstable; urgency=low

  * Initial release

 -- Stefan Bühler <source@stbuehler.de>  Thu, 03 Oct 2013 13:33:47 +0200

scgi-cgi (0.1.0-0) unstable; urgency=low

  * Initial release

 -- Stefan Bühler <source@stbuehler.de>  Thu, 03 Oct 2013 13:33:46 +0200

=== debian/control ===
Source: scgi-cgi
Section: web
Priority: extra
Maintainer: Stefan Bühler <stbuehler@web.de>
Uploaders: Jenkins (autobuilder) <jenkins@lighttpd.net>
Build-Depends: debhelper (>= 7.0.50~), libevent-dev (>= 2.0), pkg-config
Standards-Version: 3.9.6
Homepage: http://redmine.lighttpd.net/projects/scgi-cgi

Package: scgi-cgi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SCGI application to run cgi applications
 SCGI application to run normal cgi applications; this allows one to run
 cgi applications with different user permissions than the webserver
 without using suExec wrappers.
 And the webserver doesn't need to fork, and it may be easier to get
 the webserver running in a chroot.

Package: scgi-cgi-dbg
Architecture: any
Section: debug
Priority: extra
Depends: scgi-cgi (=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: SCGI application to run cgi applications
 SCGI application to run normal cgi applications; this allows one to run
 cgi applications with different user permissions than the webserver
 without using suExec wrappers.
 And the webserver doesn't need to fork, and it may be easier to get
 the webserver running in a chroot.
 .
 This package contains the debug symbols.

=== debian/rules ===
#!/usr/bin/make -f

# uncomment to enable verbose mode
#export DH_VERBOSE=1

export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-extra-warnings

override_dh_strip:
	dh_strip --dbg-package=scgi-cgi-dbg
